- Main Page
- Modules
- Data Structures
- Files
- Related Pages

- Data Structures
- Data Fields

# hash_table Struct Reference

## Data Fields
int | size
int | entries
int | overHead
bucket * | bucket

## Detailed Description

Definition at line 25 of file hash.c.

## Field Documentation

int hash_table::size

Definition at line 26 of file hash.c.

Referenced by htAddToTable(), htFreeHashTable(), htHashStats(), htInTable(), htIterGetNext(), htNewTable(), and htRemoveFromTable().

int hash_table::entries

Definition at line 27 of file hash.c.

Referenced by htAddToTable(), htHashStats(), htNewTable(), and htNumEntries().

int hash_table::overHead

Definition at line 28 of file hash.c.

Referenced by htAddToTable(), htHashStats(), and htNewTable().

struct bucket* hash_table::bucket`[read]`

Definition at line 29 of file hash.c.

Referenced by htAddToTable(), htFreeHashTable(), htHashStats(), htIterGetNext(), htNewTable(), htRemoveFromTable(), and in_table_aux().

The documentation for this struct was generated from the following file:

- python/hash.c